﻿Imports Microsoft.EntityFrameworkCore
Imports Microsoft.EntityFrameworkCore.Infrastructure

Namespace DataPoints0917EFCore2Model.Migrations
    <DbContext(GetType(SamuraiApp.Data.SamuraiContext))>
    Partial Friend Class SamuraiContextModelSnapshot
        Inherits ModelSnapshot
        Protected Overrides Sub BuildModel(ByVal modelBuilder As ModelBuilder)
            'INSTANT VB TODO TASK: There is no equivalent to #pragma directives in VB:
            '#pragma warning disable 612, 618
            modelBuilder.HasAnnotation("ProductVersion", "2.0.0-rtm-26423")

            modelBuilder.Entity("SamuraiApp.Domain.Entrance", Sub(b)
                                                                  b.Property(Of Integer)("Id").ValueGeneratedOnAdd()
                                                                  b.Property(Of String)("ActionDescription")
                                                                  b.Property(Of Date)("LastModified")
                                                                  b.Property(Of Integer)("MovieMinute")
                                                                  b.Property(Of Integer)("SamuraiId")
                                                                  b.Property(Of String)("SceneName")
                                                                  b.HasKey("Id")
                                                                  b.HasIndex("SamuraiId").IsUnique()
                                                                  b.ToTable("Entrance")
                                                              End Sub)

            modelBuilder.Entity("SamuraiApp.Domain.EntranceWithField", Sub(b)
                                                                           b.Property(Of Integer)("Id").ValueGeneratedOnAdd()
                                                                           b.Property(Of String)("ActionDescription")
                                                                           b.Property(Of Date)("LastModified")
                                                                           b.Property(Of Integer)("MovieMinute")
                                                                           b.Property(Of Integer)("SamuraiFK")
                                                                           b.Property(Of String)("SceneName")
                                                                           b.HasKey("Id")
                                                                           b.HasIndex("SamuraiFK").IsUnique()
                                                                           b.ToTable("EntranceWithField")
                                                                       End Sub)

            modelBuilder.Entity("SamuraiApp.Domain.Quote", Sub(b)
                                                               b.Property(Of Integer)("Id").ValueGeneratedOnAdd()
                                                               b.Property(Of Date)("LastModified")
                                                               b.Property(Of Integer)("SamuraiId")
                                                               b.Property(Of String)("Text")
                                                               b.HasKey("Id")
                                                               b.HasIndex("SamuraiId")
                                                               b.ToTable("Quotes")
                                                           End Sub)

            modelBuilder.Entity("SamuraiApp.Domain.Samurai", Sub(b)
                                                                 b.Property(Of Integer)("Id").ValueGeneratedOnAdd()
                                                                 b.Property(Of Date)("LastModified")
                                                                 b.Property(Of String)("Name")
                                                                 b.HasKey("Id")
                                                                 b.ToTable("Samurais")
                                                             End Sub)

            modelBuilder.Entity("SamuraiApp.Domain.Entrance", Sub(b) b.HasOne("SamuraiApp.Domain.Samurai").WithOne("Entrance").HasForeignKey("SamuraiApp.Domain.Entrance", "SamuraiId").OnDelete(DeleteBehavior.Cascade))

            modelBuilder.Entity("SamuraiApp.Domain.EntranceWithField", Sub(b) b.HasOne("SamuraiApp.Domain.Samurai").WithOne("EntranceWithField").HasForeignKey("SamuraiApp.Domain.EntranceWithField", "SamuraiFK").OnDelete(DeleteBehavior.Cascade))

            modelBuilder.Entity("SamuraiApp.Domain.Quote", Sub(b) b.HasOne("SamuraiApp.Domain.Samurai").WithMany("Quotes").HasForeignKey("SamuraiId").OnDelete(DeleteBehavior.Cascade))

            modelBuilder.Entity("SamuraiApp.Domain.Samurai", Sub(b)
                                                                 b.OwnsOne("SamuraiApp.Domain.PersonName", "SecretIdentity", Sub(b1)
                                                                                                                                 b1.Property(Of Integer)("SamuraiId")
                                                                                                                                 b1.Property(Of String)("First")
                                                                                                                                 b1.Property(Of String)("Last")
                                                                                                                                 b1.ToTable("Samurais")
                                                                                                                                 b1.HasOne("SamuraiApp.Domain.Samurai").WithOne("SecretIdentity").HasForeignKey("SamuraiApp.Domain.PersonName", "SamuraiId").OnDelete(DeleteBehavior.Cascade)
                                                                                                                             End Sub)
                                                             End Sub)
            'INSTANT VB TODO TASK: There is no equivalent to #pragma directives in VB:
            '#pragma warning restore 612, 618
        End Sub
    End Class
End Namespace