﻿Imports Microsoft.EntityFrameworkCore
Imports Microsoft.EntityFrameworkCore.Infrastructure
Imports Microsoft.EntityFrameworkCore.Migrations
Imports Data_Points_0917_EFCore2Model.SamuraiApp.Data
Imports Microsoft.EntityFrameworkCore.Metadata
Imports Microsoft.EntityFrameworkCore.Migrations.Operations

Namespace DataPoints0917EFCore2Model.Migrations
    <DbContext(GetType(SamuraiContext)), Migration("20170722144032_init")>
    Partial Class init
        Public Overrides ReadOnly Property TargetModel As IModel
            Get
                Return MyBase.TargetModel
            End Get
        End Property

        Public Overrides ReadOnly Property UpOperations As IReadOnlyList(Of MigrationOperation)
            Get
                Return MyBase.UpOperations
            End Get
        End Property

        Public Overrides ReadOnly Property DownOperations As IReadOnlyList(Of MigrationOperation)
            Get
                Return MyBase.DownOperations
            End Get
        End Property

        Public Overrides Property ActiveProvider As String
            Get
                Return MyBase.ActiveProvider
            End Get
            Set(value As String)
                MyBase.ActiveProvider = value
            End Set
        End Property

        Protected Overrides Sub BuildTargetModel(ByVal modelBuilder As ModelBuilder)
            'INSTANT VB TODO TASK: There is no equivalent to #pragma directives in VB:
            '#pragma warning disable 612, 618
            modelBuilder.HasAnnotation("ProductVersion", "2.0.0-rtm-26423")

            modelBuilder.Entity("SamuraiApp.Domain.Entrance", Sub(b)
                                                                  b.Property(Of Integer)("Id").ValueGeneratedOnAdd()
                                                                  b.Property(Of String)("ActionDescription")
                                                                  b.Property(Of Date)("LastModified")
                                                                  b.Property(Of Integer)("MovieMinute")
                                                                  b.Property(Of Integer)("SamuraiId")
                                                                  b.Property(Of String)("SceneName")
                                                                  b.HasKey("Id")
                                                                  b.HasIndex("SamuraiId").IsUnique()
                                                                  b.ToTable("Entrance")
                                                              End Sub)

            modelBuilder.Entity("SamuraiApp.Domain.EntranceWithField", Sub(b)
                                                                           b.Property(Of Integer)("Id").ValueGeneratedOnAdd()
                                                                           b.Property(Of String)("ActionDescription")
                                                                           b.Property(Of Date)("LastModified")
                                                                           b.Property(Of Integer)("MovieMinute")
                                                                           b.Property(Of Integer)("SamuraiFK")
                                                                           b.Property(Of String)("SceneName")
                                                                           b.HasKey("Id")
                                                                           b.HasIndex("SamuraiFK").IsUnique()
                                                                           b.ToTable("EntranceWithField")
                                                                       End Sub)

            modelBuilder.Entity("SamuraiApp.Domain.Quote", Sub(b)
                                                               b.Property(Of Integer)("Id").ValueGeneratedOnAdd()
                                                               b.Property(Of Date)("LastModified")
                                                               b.Property(Of Integer)("SamuraiId")
                                                               b.Property(Of String)("Text")
                                                               b.HasKey("Id")
                                                               b.HasIndex("SamuraiId")
                                                               b.ToTable("Quotes")
                                                           End Sub)

            modelBuilder.Entity("SamuraiApp.Domain.Samurai", Sub(b)
                                                                 b.Property(Of Integer)("Id").ValueGeneratedOnAdd()
                                                                 b.Property(Of Date)("LastModified")
                                                                 b.Property(Of String)("Name")
                                                                 b.HasKey("Id")
                                                                 b.ToTable("Samurais")
                                                             End Sub)

            modelBuilder.Entity("SamuraiApp.Domain.Entrance", Sub(b) b.HasOne("SamuraiApp.Domain.Samurai").WithOne("Entrance").HasForeignKey("SamuraiApp.Domain.Entrance", "SamuraiId").OnDelete(DeleteBehavior.Cascade))

            modelBuilder.Entity("SamuraiApp.Domain.EntranceWithField", Sub(b) b.HasOne("SamuraiApp.Domain.Samurai").WithOne("EntranceWithField").HasForeignKey("SamuraiApp.Domain.EntranceWithField", "SamuraiFK").OnDelete(DeleteBehavior.Cascade))

            modelBuilder.Entity("SamuraiApp.Domain.Quote", Sub(b) b.HasOne("SamuraiApp.Domain.Samurai").WithMany("Quotes").HasForeignKey("SamuraiId").OnDelete(DeleteBehavior.Cascade))

            modelBuilder.Entity("SamuraiApp.Domain.Samurai", Sub(b)
                                                                 b.OwnsOne("SamuraiApp.Domain.PersonName", "SecretIdentity", Sub(b1)
                                                                                                                                 b1.Property(Of Integer)("SamuraiId")
                                                                                                                                 b1.Property(Of String)("First")
                                                                                                                                 b1.Property(Of String)("Last")
                                                                                                                                 b1.ToTable("Samurais")
                                                                                                                                 b1.HasOne("SamuraiApp.Domain.Samurai").WithOne("SecretIdentity").HasForeignKey("SamuraiApp.Domain.PersonName", "SamuraiId").OnDelete(DeleteBehavior.Cascade)
                                                                                                                             End Sub)
                                                             End Sub)
            'INSTANT VB TODO TASK: There is no equivalent to #pragma directives in VB:
            '#pragma warning restore 612, 618
        End Sub

        Protected Overrides Sub Finalize()
            MyBase.Finalize()
        End Sub

        Public Overrides Function Equals(obj As Object) As Boolean
            Return MyBase.Equals(obj)
        End Function

        Public Overrides Function GetHashCode() As Integer
            Return MyBase.GetHashCode()
        End Function

        Public Overrides Function ToString() As String
            Return MyBase.ToString()
        End Function
    End Class
End Namespace