﻿Imports Data_Points_0917_EFCore2Model.SamuraiApp.Domain
Imports Microsoft.EntityFrameworkCore

Namespace SamuraiApp.Data
    Public Class SamuraiContext
        Inherits DbContext

        Public Sub New(ByVal options As DbContextOptions(Of SamuraiContext))
            MyBase.New(options)

        End Sub
        Public Sub New()

        End Sub
        Public Property Samurais As DbSet(Of Samurai)
        Public Property Quotes As DbSet(Of Quote)
        Protected Overrides Sub OnConfiguring(ByVal optionsBuilder As DbContextOptionsBuilder)
            optionsBuilder.UseSqlite("Filename=DP0917Samurai.db")
            MyBase.OnConfiguring(optionsBuilder)
        End Sub
        Protected Overrides Sub OnModelCreating(ByVal modelBuilder As ModelBuilder)

            modelBuilder.Entity(Of Samurai)().HasOne(GetType(Entrance), "Entrance").WithOne()

            modelBuilder.Entity(Of Samurai)().HasOne(GetType(EntranceWithField), "EntranceWithField").WithOne()

            modelBuilder.Entity(Of Samurai)().OwnsOne(GetType(PersonName), "SecretIdentity")

        End Sub

    End Class
End Namespace